<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------

namespace app\common\model\training;


use app\common\model\BaseModel;
use app\common\model\master_worker\MasterWorker;
use app\common\model\shops\ShopGoods;
use app\common\model\shops\ShopOrders;


/**
 * TrainingWorkerTask模型
 * Class TrainingWorkerTask
 * @package app\common\model
 */
class TrainingWorkerTask extends BaseModel
{
    
    protected $name = 'training_worker_task';
    protected $type = [
        'task_list' => 'array',
    ];
    public function TrainingTask(){
        return $this->hasOne(TrainingTask::class,'id','training_task_id');
    }
    public function MasterWorker(){
        return $this->hasOne(MasterWorker::class,'id','master_worker_id');
    }
    public function LeadMasterWorker(){
        return $this->hasOne(MasterWorker::class,'id','lead_master_worker_id');
    }
    public function ShopGoods(){
        return $this->hasOne(ShopGoods::class,'id','shop_goods_id');
    }
    public function ShopOrders(){
        return $this->hasOne(ShopOrders::class,'id','shop_orders_id');
    }
    
}